<template>
	<div class="RadioButton" :class="variant">
    <input
      type="radio"
      :name="`radio--${name}`"
      :id="`radio--${name}`"
    >
    <label :for="`radio--${name}`" :style="{display: 'none'}">
    </label>
  </div>
</template>

<script>
export default {
  name: 'RadioButton',
  props: {
    variant: {
      type: String,
      default: 'normal'
    }
  }
}
</script>

<style lang="sass" scoped>
.RadioButton.normal
  label::before
    content: ''
    height: 1.2em
    width: 1.2em
    margin-right: 1em
    border: 2px solid var(--primary)
    border-radius: 50%
  input:checked + label::before
    background-color: var(--primary)
</style>
